/*
 * $Id: RSSHttpURLConnection.java,v 1.3 2005/10/22 16:27:27 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss.http;

import java.io.IOException;
import java.net.URL;

import HTTPClient.HTTPConnection;
import HTTPClient.HTTPResponse;
import HTTPClient.ModuleException;
import HTTPClient.ProtocolNotSuppException;

/**
 * RSS/1b用URL接続オブジェクト
 * HTTPClientクラスセット内の，HTTPConnectionをラッピングしています
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class RSSHttpURLConnection extends HTTPConnection {
	/** 接続先 */
	private URL _dest;

	/**
	 * コンストラクタ，
	 * @param dest 接続先
	 */
	public RSSHttpURLConnection(URL dest) throws ProtocolNotSuppException {
		super(dest.getProtocol(), dest.getHost(), dest.getPort() < 0 ? 80 : dest.getPort());
		_dest = dest;
	}
	/**
	 * コンストラクタで設定したURLのファイルをリクエストする．
	 * @return レスポンス
	 */
	public HTTPResponse get() throws IOException, ModuleException {
		return Get(_dest.getFile(), _dest.getQuery());
	}

	/**
	 * 接続先URLを取得する．
	 * @return 接続先URL
	 */
	public URL getURL() {
		return _dest;
	}
}

// end of RSSHttpURLConnection.java
